Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOBJExporter Class Reference

`#include <vtkOBJExporter.h>`

Inheritance diagram for vtkOBJExporter:

[legend]
Collaboration diagram for vtkOBJExporter:

[legend]
List of all members.

## Detailed Description

export a scene into Wavefront format.

Date:
  2002/05/27 14:48:16

Revision:
  1.26

vtkOBJExporter is a concrete subclass of vtkExporter that writes wavefront .OBJ files in ASCII form. It also writes out a mtl file that contains the material properties. The filenames are derived by appending the .obj and .mtl suffix onto the user specified FilePrefix.

See also:
  vtkExporter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (65%)
  - Henderson, Amy (9%)
  - Cedilnik, Andy (7%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkOBJExporter.cxx)`
  - .`h` (`/Rendering/vtkOBJExporter.h)`

Tests:
  vtkOBJExporter (Tests)

Definition at line 54 of file vtkOBJExporter.h.

## Public Types
typedef vtkExporter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFilePrefix (const char *)
virtual char * | GetFilePrefix ()
## Static Public Methods
vtkOBJExporter * | New ()
int | IsTypeOf (const char *type)
vtkOBJExporter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOBJExporter ()
| ~vtkOBJExporter ()
void | WriteData ()
void | WriteAnActor (vtkActor *anActor, FILE *fpObj, FILE *fpMat, int &id)
## Protected Attributes
char * | FilePrefix

## Member Typedef Documentation

typedef vtkExporter vtkOBJExporter::Superclass

| Reimplemented from vtkExporter. Definition at line 58 of file vtkOBJExporter.h.

## Constructor & Destructor Documentation

vtkOBJExporter::vtkOBJExporter | ( |  | ) | `[protected]`

vtkOBJExporter::~vtkOBJExporter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOBJExporter* vtkOBJExporter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkOBJExporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkExporter.

int vtkOBJExporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

virtual int vtkOBJExporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

vtkOBJExporter* vtkOBJExporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkExporter.

void vtkOBJExporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkExporter.

virtual void vtkOBJExporter::SetFilePrefix | ( | const char * |  | ) | `[virtual]`

| Specify the prefix of the files to write out. The resulting filenames will have .obj and .mtl appended to them.

virtual char* vtkOBJExporter::GetFilePrefix | ( |  | ) | `[virtual]`

| Specify the prefix of the files to write out. The resulting filenames will have .obj and .mtl appended to them.

void vtkOBJExporter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkExporter.

void vtkOBJExporter::WriteAnActor | ( | vtkActor * | anActor,
|  | FILE * | fpObj,
|  | FILE * | fpMat,
|  | int & | id
| ) | `[protected]`

## Member Data Documentation

char* vtkOBJExporter::FilePrefix`[protected]`

| Definition at line 74 of file vtkOBJExporter.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOBJExporter.h